Skip to main content

Join group

This API is used to join an existing group.

Enabling the Service​

Before using this feature, you must enable the profile hosting service by submitting a ticket.

Request method​

POST: https://data center domain/entrust/group/join.json

Rate limit: 100 requests per second

Signature rules: All server API requests require signature verification. See API request signature.

Body parameters​

The HTTP request body uses application/x-www-form-urlencoded format and supports the following form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID
userIdsArrayYesUser IDs to join the group: maximum 100 users per request

Request example​

POST /entrust/group/join.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=groupId1&userIds=userId

Response​

The HTTP response body contains a JSON object with the following structure:

Return valueTypeDescription
codeNumberStatus code. 200 indicates success.
groupIdStringGroup ID
nameStringGroup name
groupProfileStringBasic group information in JSON format
groupExtProfileStringExtended group information in JSON format
permissionsStringGroup permissions in JSON format
ownerStringGroup Owner
createTimeLongGroup creation time
memberCountNumberNumber of group members

Keys in groupProfile:

KeyTypeDescription
introductionStringGroup introduction (max 512 characters)
announcementStringGroup announcement (max 1024 characters)
portraitUrlStringGroup avatar URL (max 128 characters)

Keys in permissions:

KeyTypeLength/RangeDescription
joinPermNumberValues:
  • 0: Requires Group Owner approval (default)
  • 1: No approval needed
  • 2: Group Administrator or Group Owner approval
  • 3: No one can join
Group join permission
removePermNumberValues:
  • 0: Group Owner only (default)
  • 1: Group Owner + Group Administrator
  • 2: All members
Member removal permission
memInvitePermNumberValues:
  • 0: Group Owner only (default)
  • 1: Group Owner + Group Administrator
  • 2: All members
Invitation permission
invitePermNumberValues:
  • 0: No invitee confirmation needed (default)
  • 1: Requires invitee confirmation
Invitation handling method
profilePermNumberValues:
  • 0: Group Owner only (default)
  • 1: Group Owner + Group Administrator
  • 2: All members
Group profile and permission modification
memProfilePermNumberValues:
  • 0: Group Owner + Group Administrator + self (default)
  • 1: Group Owner + self
  • 2: Self only
Member profile modification permission

Response example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"groupId":"gorupId1",
"createTime":1717717737377,
"owner":"userId1",
"name":"gName1",
"groupExtProfile":"{\"ext_key1\":\"value1\",\"ext_key2\":\"value2\"}",
"memberCount":10
}